Package icyllis.modernui.text.method

# Class NumberInputFilter

java.lang.Object
icyllis.modernui.text.method.NumberInputFilter

All Implemented Interfaces:
  `InputFilter`

Direct Known Subclasses:
  `DigitsInputFilter`

public abstract class NumberInputFilter extends Object implements InputFilter
Input filter for numeric text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.text.InputFilter

  `InputFilter.LengthFilter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberInputFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CharSequence`
  `filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend)`
  This method is called when the buffer is going to replace the range `dstart … dend` of `dest` with the new text from the range `start … end` of `source`.
  `protected abstract char[]`
  `getAcceptedChars()`
  You can say which characters you can accept.
  `protected static boolean`
  `not(char[] accept, char c)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberInputFilter

    public NumberInputFilter()

- ## Method Details

  - ### getAcceptedChars

    @Nonnull protected abstract char[] getAcceptedChars()
    You can say which characters you can accept.

  - ### filter

    public CharSequence filter(@Nonnull CharSequence source, int start, int end, @Nonnull Spanned dest, int dstart, int dend)
    Description copied from interface: `InputFilter`
    This method is called when the buffer is going to replace the range `dstart … dend` of `dest` with the new text from the range `start … end` of `source`. Return the CharSequence that you would like to have placed there instead, including an empty string if appropriate, or `null` to accept the original replacement. Be careful to not to reject 0-length replacements, as this is what happens when you delete text. Also beware that you should not attempt to make any changes to `dest` from this method; you may only examine it for context.

    Note: If source is an instance of `Spanned` or `Spannable`, the span objects in the source should be copied into the filtered result (i.e. the non-null return value). `TextUtils.copySpansFrom(icyllis.modernui.text.Spanned, int, int, java.lang.Class<?>, icyllis.modernui.text.Spannable, int)` can be used for convenience if the span boundary indices would be remaining identical relative to the source.

    Specified by:
      `filter` in interface `InputFilter`

  - ### not

    protected static boolean not(@Nonnull char[] accept, char c)